Schemes

class matterapi.endpoints.async_api.SchemesApi(client: matterapi.client.base.BaseClient, skip_response_parsing: bool = False)

Endpoints for creating, getting and updating and deleting schemes.

async create_scheme(*, json_body: Union[matterapi.models.CreateSchemeJsonBody, Dict]) matterapi.models.Scheme

Create a scheme

Create a new scheme.

Permissions:

Must have manage_system permission.

Minimum Server Version:

5.0

Api Reference:

CreateScheme

async delete_scheme(scheme_id: str) matterapi.models.StatusOK

Delete a scheme

Soft deletes a scheme, by marking the scheme as deleted in the database.

Permissions:

Must have manage_system permission.

Minimum Server Version:

5.0

Api Reference:

DeleteScheme

async get_channels_for_scheme(scheme_id: str, *, page: Optional[int] = 0, per_page: Optional[int] = 60) List[matterapi.models.Channel]

Get a page of channels which use this scheme.

Get a page of channels which use this scheme. The provided Scheme ID should be for a Channel-scoped Scheme. Use the query parameters to modify the behaviour of this endpoint.

Permissions:

manage_system permission is required.

Minimum Server Version:

5.0

Api Reference:

GetChannelsForScheme

async get_scheme(scheme_id: str) matterapi.models.Scheme

Get a scheme

Get a scheme from the provided scheme id.

Permissions:

Must have manage_system permission.

Minimum Server Version:

5.0

Api Reference:

GetScheme

async get_schemes(*, scope: Optional[str] = '', page: Optional[int] = 0, per_page: Optional[int] = 60) List[matterapi.models.Scheme]

Get the schemes.

Get a page of schemes. Use the query parameters to modify the behaviour of this endpoint.

Permissions:

Must have manage_system permission.

Minimum Server Version:

5.0

Api Reference:

GetSchemes

async get_teams_for_scheme(scheme_id: str, *, page: Optional[int] = 0, per_page: Optional[int] = 60) List[matterapi.models.Team]

Get a page of teams which use this scheme.

Get a page of teams which use this scheme. The provided Scheme ID should be for a Team-scoped Scheme. Use the query parameters to modify the behaviour of this endpoint.

Permissions:

manage_system permission is required.

Minimum Server Version:

5.0

Api Reference:

GetTeamsForScheme

async patch_scheme(scheme_id: str, *, json_body: Union[matterapi.models.PatchSchemeJsonBody, Dict]) matterapi.models.Scheme

Patch a scheme

Partially update a scheme by providing only the fields you want to update. Omitted fields will not be updated. The fields that can be updated are defined in the request body, all other provided fields will be ignored.

Permissions:

manage_system permission is required.

Minimum Server Version:

5.0

Api Reference:

PatchScheme